# Version Index

Below are the details of all released versions of ADF since general
availability (v2.0.0). See the [main index page](README.md) for a list
of components organized by ADF libraries.

## Versions

-   [v2.4.0](#v240)
-   [v2.3.0](#v230)
-   [v2.2.0](#v220)
-   [v2.1.0](#v210)
-   [v2.0.0](#v200)

## v2.4.0

**Released:** 2018-06-21 ([Release notes](https://community.alfresco.com/docs/DOC-7397))<br/>
**APS compatible version:** v1.6.4+<br/>
**ACS compatible version:** v5.2.3<br/>

### Components added

<!--v240 start-->

-   [About component](core/about.component.md)
-   [Add permission dialog component](content-services/add-permission-dialog.component.md)
-   [Add permission panel component](content-services/add-permission-panel.component.md)
-   [Add permission component](content-services/add-permission.component.md)
-   [App config pipe](core/app-config.pipe.md)
-   [Buttons menu component](core/buttons-menu.component.md)
-   [Empty content component](core/empty-content.component.md)
-   [Error content component](core/error-content.component.md)
-   [Info drawer tab component](core/info-drawer-tab.component.md)
-   [Node permission dialog service](content-services/node-permission-dialog.service.md)
-   [Search check list component](content-services/search-check-list.component.md)
-   [Search date range component](content-services/search-date-range.component.md)
-   [Search filter service](content-services/search-filter.service.md)
-   [Search number range component](content-services/search-number-range.component.md)
-   [Search radio component](content-services/search-radio.component.md)
-   [Search slider component](content-services/search-slider.component.md)
-   [Search text component](content-services/search-text.component.md)
-   [Sorting picker component](core/sorting-picker.component.md)

<!--v240 end-->

([Back to top](#versions))

## v2.3.0

**Released:** 2018-04-17 ([Release notes](https://community.alfresco.com/docs/DOC-7347-adf-230-release-note))<br/>
**APS compatible version:** v1.6.4+<br/>
**ACS compatible version:** v5.2.3<br/>

### Components added

<!--v230 start-->

-   [Comment content service](core/comment-content.service.md)
-   [Custom resources service](content-services/custom-resources.service.md)
-   [Inherited button directive](content-services/inherited-button.directive.md)
-   [Node share directive](content-services/node-share.directive.md)
-   [Permission list component](content-services/permission-list.component.md)
-   [Search chip list component](content-services/search-chip-list.component.md)
-   [Search filter component](content-services/search-filter.component.md)
-   [Search query builder service](content-services/search-query-builder.service.md)
-   [Search sorting picker component](content-services/search-sorting-picker.component.md)
-   [Sidenav layout component](core/sidenav-layout.component.md)
-   [Upload version button component](content-services/upload-version-button.component.md)

<!--v230 end-->

([Back to top](#versions))

## v2.2.0

**Released:** 2018-03-05 ([Release notes](https://community.alfresco.com/docs/DOC-7318-adf-220-release-note))<br/>
**APS compatible version:** v1.6.4+<br/>
**ACS compatible version:** v5.2.2<br/>

### Components added

<!--v220 start-->

-   [Node download directive](content-services/node-download.directive.md)
-   [Node lock directive](content-services/node-lock.directive.md)

<!--v220 end-->

([Back to top](#versions))

## v2.1.0

**Released:** 2018-01-29 ([Release notes](https://community.alfresco.com/docs/DOC-7292-adf-210-release-note))<br/>
**APS compatible version:** v1.6.4+<br/>
**ACS compatible version:** v5.2.2<br/>

### Components added

<!--v210 start-->

-   [Content metadata component](content-services/content-metadata.component.md)
-   [Content node dialog service](content-services/content-node-dialog.service.md)
-   [Content node selector panel component](content-services/content-node-selector-panel.component.md)
-   [Search configuration service](core/search-configuration.service.md)
-   [Sidebar action menu component](core/sidebar-action-menu.component.md)

<!--v210 end-->

([Back to top](#versions))

## v2.0.0

**Released:** 2017-12-04 ([Release notes](https://community.alfresco.com/docs/DOC-7244-adf-200-release-note))<br/>
**APS compatible version:** v1.6.4+<br/>
**ACS compatible version:** v5.2.2<br/>

### Components added

<!--v200 start-->

-   [Accordion group component](core/accordion-group.component.md)
-   [Accordion component](core/accordion.component.md)
-   [Activiti alfresco service](core/activiti-alfresco.service.md)
-   [Alfresco api service](core/alfresco-api.service.md)
-   [Alfresco content service](core/alfresco-content.service.md)
-   [Analytics generator component](insights/analytics-generator.component.md)
-   [Analytics report list component](insights/analytics-report-list.component.md)
-   [Analytics component](insights/analytics.component.md)
-   [App config service](core/app-config.service.md)
-   [Apps list component](process-services/apps-list.component.md)
-   [Apps process service](core/apps-process.service.md)
-   [Auth guard bpm service](core/auth-guard-bpm.service.md)
-   [Auth guard ecm service](core/auth-guard-ecm.service.md)
-   [Auth guard service](core/auth-guard.service.md)
-   [Authentication service](core/authentication.service.md)
-   [Bpm user model](core/bpm-user.model.md)
-   [Bpm user service](core/bpm-user.service.md)
-   [Breadcrumb component](content-services/breadcrumb.component.md)
-   [Card item types service](core/card-item-types.service.md)
-   [Card view update service](core/card-view-update.service.md)
-   [Card view component](core/card-view.component.md)
-   [Checklist component](process-services/checklist.component.md)
-   [Comment list component](core/comment-list.component.md)
-   [Comment process model](core/comment-process.model.md)
-   [Comment process service](core/comment-process.service.md)
-   [Comments component](core/comments.component.md)
-   [Content action component](content-services/content-action.component.md)
-   [Content node selector component](content-services/content-node-selector.component.md)
-   [Content service](core/content.service.md)
-   [Content widget](core/content.widget.md)
-   [Context menu directive](core/context-menu.directive.md)
-   [Cookie service](core/cookie.service.md)
-   [Create process attachment component](process-services/create-process-attachment.component.md)
-   [Create task attachment component](process-services/create-task-attachment.component.md)
-   [Data column component](core/data-column.component.md)
-   [Datatable component](core/datatable.component.md)
-   [Deleted nodes api service](core/deleted-nodes-api.service.md)
-   [Diagram component](insights/diagram.component.md)
-   [Discovery api service](core/discovery-api.service.md)
-   [Document actions service](content-services/document-actions.service.md)
-   [Document library model](content-services/document-library.model.md)
-   [Document list component](content-services/document-list.component.md)
-   [Document list service](content-services/document-list.service.md)
-   [Dropdown breadcrumb component](content-services/dropdown-breadcrumb.component.md)
-   [Ecm user model](core/ecm-user.model.md)
-   [Ecm user service](core/ecm-user.service.md)
-   [Favorites api service](core/favorites-api.service.md)
-   [File draggable directive](content-services/file-draggable.directive.md)
-   [File size pipe](core/file-size.pipe.md)
-   [File uploading dialog component](content-services/file-uploading-dialog.component.md)
-   [Filter model](process-services/filter.model.md)
-   [Folder actions service](content-services/folder-actions.service.md)
-   [Folder create directive](content-services/folder-create.directive.md)
-   [Folder edit directive](content-services/folder-edit.directive.md)
-   [Form field component](core/form-field.component.md)
-   [Form field model](core/form-field.model.md)
-   [Form list component](core/form-list.component.md)
-   [Form rendering service](core/form-rendering.service.md)
-   [Form component](core/form.component.md)
-   [Form service](core/form.service.md)
-   [Highlight transform service](core/highlight-transform.service.md)
-   [Highlight directive](core/highlight.directive.md)
-   [Host settings component](core/host-settings.component.md)
-   [Infinite pagination component](core/infinite-pagination.component.md)
-   [Info drawer layout component](core/info-drawer-layout.component.md)
-   [Info drawer component](core/info-drawer.component.md)
-   [Language menu component](core/language-menu.component.md)
-   [Like component](content-services/like.component.md)
-   [Log service](core/log.service.md)
-   [Login component](core/login.component.md)
-   [Logout directive](core/logout.directive.md)
-   [Mime type icon pipe](core/mime-type-icon.pipe.md)
-   [Node delete directive](core/node-delete.directive.md)
-   [Node favorite directive](core/node-favorite.directive.md)
-   [Node name tooltip pipe](core/node-name-tooltip.pipe.md)
-   [Node permission directive](core/node-permission.directive.md)
-   [Node permission service](content-services/node-permission.service.md)
-   [Node restore directive](core/node-restore.directive.md)
-   [Node service](core/node.service.md)
-   [Nodes api service](core/nodes-api.service.md)
-   [Notification service](core/notification.service.md)
-   [Page title service](core/page-title.service.md)
-   [Pagination component](core/pagination.component.md)
-   [People content service](core/people-content.service.md)
-   [People list component](process-services/people-list.component.md)
-   [People process service](core/people-process.service.md)
-   [People search component](process-services/people-search.component.md)
-   [People component](process-services/people.component.md)
-   [Permissions style model](content-services/permissions-style.model.md)
-   [Process attachment list component](process-services/process-attachment-list.component.md)
-   [Process audit directive](process-services/process-audit.directive.md)
-   [Process comments component](process-services/process-comments.component.md)
-   [Process content service](core/process-content.service.md)
-   [Process filter service](process-services/process-filter.service.md)
-   [Process filters component](process-services/process-filters.component.md)
-   [Process instance details component](process-services/process-instance-details.component.md)
-   [Process instance header component](process-services/process-instance-header.component.md)
-   [Process instance tasks component](process-services/process-instance-tasks.component.md)
-   [Process list component](process-services/process-list.component.md)
-   [Process service](process-services/process.service.md)
-   [Product version model](core/product-version.model.md)
-   [Rating component](content-services/rating.component.md)
-   [Rating service](content-services/rating.service.md)
-   [Renditions service](core/renditions.service.md)
-   [Search api service](core/search-api.service.md)
-   [Search control component](content-services/search-control.component.md)
-   [Search component](content-services/search.component.md)
-   [Select apps dialog component](process-services/select-apps-dialog.component.md)
-   [Shared links api service](core/shared-links-api.service.md)
-   [Site model](core/site.model.md)
-   [Sites dropdown component](content-services/sites-dropdown.component.md)
-   [Sites service](core/sites.service.md)
-   [Start form component](core/start-form.component.md)
-   [Start process component](process-services/start-process.component.md)
-   [Start task component](process-services/start-task.component.md)
-   [Storage service](core/storage.service.md)
-   [Tag actions component](content-services/tag-actions.component.md)
-   [Tag list component](content-services/tag-list.component.md)
-   [Tag node list component](content-services/tag-node-list.component.md)
-   [Tag service](content-services/tag.service.md)
-   [Task attachment list component](process-services/task-attachment-list.component.md)
-   [Task audit directive](process-services/task-audit.directive.md)
-   [Task details component](process-services/task-details.component.md)
-   [Task details model](process-services/task-details.model.md)
-   [Task filter service](process-services/task-filter.service.md)
-   [Task filters component](process-services/task-filters.component.md)
-   [Task header component](process-services/task-header.component.md)
-   [Task list component](process-services/task-list.component.md)
-   [Task standalone component](process-services/task-standalone.component.md)
-   [Tasklist service](process-services/tasklist.service.md)
-   [Text highlight pipe](core/text-highlight.pipe.md)
-   [Text mask component](core/text-mask.component.md)
-   [Thumbnail service](core/thumbnail.service.md)
-   [Time ago pipe](core/time-ago.pipe.md)
-   [Toolbar divider component](core/toolbar-divider.component.md)
-   [Toolbar title component](core/toolbar-title.component.md)
-   [Toolbar component](core/toolbar.component.md)
-   [Translation service](core/translation.service.md)
-   [Upload button component](content-services/upload-button.component.md)
-   [Upload drag area component](content-services/upload-drag-area.component.md)
-   [Upload directive](core/upload.directive.md)
-   [Upload service](core/upload.service.md)
-   [User info component](core/user-info.component.md)
-   [User initial pipe](core/user-initial.pipe.md)
-   [User preferences service](core/user-preferences.service.md)
-   [User process model](core/user-process.model.md)
-   [Version list component](content-services/version-list.component.md)
-   [Version manager component](content-services/version-manager.component.md)
-   [Viewer component](core/viewer.component.md)
-   [Webscript component](content-services/webscript.component.md)
-   [Widget component](insights/widget.component.md)

<!--v200 end-->

([Back to top](#versions))
